=== debian/changelog ===
crm114 (20090807-6) unstable; urgency=low

  * Spanish debconf translation updated; closes: #600508.

 -- Milan Zamazal <pdm@debian.org>  Wed, 27 Oct 2010 21:37:19 +0200

crm114 (20090807-5) unstable; urgency=low

  * Change default good_threshold value from 10 to 5; closes: #554172.
  * German and Vietnamese debconf translation updates; closes: #570769,
    #572772.

 -- Milan Zamazal <pdm@debian.org>  Mon, 08 Mar 2010 20:07:46 +0100

crm114 (20090807-4) unstable; urgency=low

  * debian/rules: Call debconf-updatepo in `clean'; closes: #569221.
  * Russian, French, Portuguese, Czech, Swedish, Japanese, Italian debconf
    translation updates; closes: #568891, #569064, #569071, #569716,
    #569895, #570614.

 -- Milan Zamazal <pdm@debian.org>  Sat, 20 Feb 2010 11:41:23 +0100

crm114 (20090807-3) unstable; urgency=low

  * New debconf option `forceupgrade'; closes: #562946.

 -- Milan Zamazal <pdm@debian.org>  Sun, 07 Feb 2010 15:59:10 +0100

crm114 (20090807-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Missing NEWS entry about .css incompatibility added.

 -- Milan Zamazal <pdm@debian.org>  Sat, 23 Jan 2010 16:18:37 +0100

crm114 (20090807-1) unstable; urgency=low

  * New upstream version; closes: #548060.
  * Debconf templates and debian/control reviewed by the
    debian-l10n-english team as part of the Smith review project. Thanks
    to Christian Perrier and other contributors. Closes: #529720, #548095.
  * [Debconf translation updates]
  * Swedish (Martin Ågren); closes: #548789
  * Portuguese (Américo Monteiro); closes: #548829
  * Vietnamese (Clytie Siddall); closes: #548992
  * German (Thomas Mueller); closes: #549242
  * Italian (Luca Monducci); closes: #549582
  * Finnish (Esko Arajärvi); closes: #549857
  * Spanish (Francisco Javier Cuadrado); closes: #550175
  * Russian (Yuri Kozlov); closes: #550177
  * French (Christian Perrier); closes: #550812
  * Japanese (Hideki Yamane (Debian-JP)); closes: #551020
  * Czech (Milan Zamazal).

 -- Milan Zamazal <pdm@debian.org>  Tue, 20 Oct 2009 09:52:37 +0200

crm114 (20090423-2) unstable; urgency=low

  * Print warning about .css files incompatibility on upgrades from old
    versions.
  * Standards 3.8.3 (no real change).
  * README.source addded.

 -- Milan Zamazal <pdm@debian.org>  Sun, 30 Aug 2009 08:38:28 +0200

crm114 (20090423-1) unstable; urgency=low

  * New upstream version; closes: #439514.
  * Fix typo in COLOPHON.txt; closes: #471554.
  * Document the need of mailtrainer.crm presence for mailreaver.crm
    operation; closes: #517154.
  * Homepage field added.
  * Support `parallel' in DEB_BUILD_OPTIONS.
  * Standards 3.8.1.
  * debian/copyright updated.
  * Updated to debhelper 7.

 -- Milan Zamazal <pdm@debian.org>  Mon, 11 May 2009 09:11:00 +0200

crm114 (20080330-2) unstable; urgency=low

  * Make scripts in /usr/share/crm114/ executable again; closes: #473747.

 -- Milan Zamazal <pdm@debian.org>  Thu, 03 Apr 2008 10:37:20 +0200

crm114 (20080330-1) unstable; urgency=low

  * New upstream snapshot.
  * Use dpatch to manage Debian patches.
  * Upstream fix of regexp cache handling added; closes: #470492.
  * Standards-Version increased to 3.7.3 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 31 Mar 2008 11:16:35 +0200

crm114 (20080315-1) experimental; urgency=low

  * New upstream development snapshot.

 -- Milan Zamazal <pdm@debian.org>  Sat, 15 Mar 2008 09:08:06 +0100

crm114 (20070810-3) unstable; urgency=low

  * Add shuffle.crm into /usr/share/crm114/; closes: #460278.

 -- Milan Zamazal <pdm@debian.org>  Thu, 17 Jan 2008 23:40:31 +0100

crm114 (20070810-2) unstable; urgency=low

  * Broken .css files compatibility on 32-bit architectures, introduced in
    20070810-1, fixed.

 -- Milan Zamazal <pdm@debian.org>  Wed, 29 Aug 2007 10:31:55 +0200

crm114 (20070810-1) unstable; urgency=low

  * New upstream version; closes: #433112.
  * Tried to make some variable types related to cssutil more specific to
    prevent repeating problems on 64-bit architectures.

 -- Milan Zamazal <pdm@debian.org>  Wed, 22 Aug 2007 07:51:49 +0200

crm114 (20070320-1) unstable; urgency=low

  * New upstream version; closes: #416446.
  * Honor DEB_BUILD_OPTIONS.
  * Make sure crm114-mode.el gets installed.

 -- Milan Zamazal <pdm@debian.org>  Sun, 24 Jun 2007 12:35:53 +0200

crm114 (20061103-1) experimental; urgency=low

  * New upstream version; closes: #406089.
  * Upload to experimental because etch is in freeze.
  * Don't add Message-Id header if there's not any, information about
    broken threading added to README.Debian; this attempts to solve bug
    #406207.

 -- Milan Zamazal <pdm@debian.org>  Sun, 28 Jan 2007 10:11:06 +0100

crm114 (20060704a-4) unstable; urgency=low

  * Use full path when loading maillib.crm in mailreaver.crm;
    closes: #398078.

 -- Milan Zamazal <pdm@debian.org>  Sun, 12 Nov 2006 10:08:53 +0100

crm114 (20060704a-3) unstable; urgency=low

  * Fixes of typos in mailfilter.cf, thanks to Martin Steigerwald
    <Martin@Lichtvoll.de>; closes: #394476.

 -- Milan Zamazal <pdm@debian.org>  Sun, 22 Oct 2006 09:05:52 +0200

crm114 (20060704a-2) unstable; urgency=low

  * Install all mail*.crm scripts into /usr/share/crm114/.
  * Add upgrade warnings to NEWS.Debian and README.Debian;
    closes: #377978, #378084, #378135.

 -- Milan Zamazal <pdm@debian.org>  Fri, 14 Jul 2006 10:23:07 +0200

crm114 (20060704a-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.7.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 10 Jul 2006 23:19:34 +0200

crm114 (20060118-1) unstable; urgency=low

  * New upstream version; closes: #339393.

 -- Milan Zamazal <pdm@debian.org>  Tue,  7 Feb 2006 09:52:03 +0100

crm114 (20050721-2) unstable; urgency=low

  * Missing :classify_status: declaration added in mailfilter.crm;
    closes: #318720.

 -- Milan Zamazal <pdm@debian.org>  Tue,  9 Aug 2005 17:36:41 +0200

crm114 (20050721-1) unstable; urgency=low


