=== debian/rules ===
#!/usr/bin/make -f

.NOTPARALLEL:

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=crm114

CFLAGS := -DVERSION='\"\$$(VERSION)\"' -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) $(MAKEFLAGS) CFLAGS="$(CFLAGS)"
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=`pwd`/debian/$(package)/usr
	install shuffle.crm `pwd`/debian/$(package)/usr/share/crm114/
	dh_installdebconf

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install
	dh_installdocs
	rm `pwd`/debian/crm114/usr/share/doc/$(package)/GPL_License.txt
	mv `pwd`/debian/crm114/usr/share/doc/$(package)/*test* \
	   `pwd`/debian/crm114/usr/share/doc/$(package)/examples/tests/
	set -e; for ext in cf crm dat example mfp recipe; do \
		mv `pwd`/debian/crm114/usr/share/doc/$(package)/*.$$ext \
	           `pwd`/debian/crm114/usr/share/doc/$(package)/examples/; \
	done
	dh_installexamples
	set -e; for file in `pwd`/debian/crm114/usr/share/doc/$(package)/examples/* \
	                    `pwd`/debian/crm114/usr/share/doc/$(package)/examples/tests/*; do \
		if [ -f $$file ] && [ "`head -c 2 $$file`" != '#!' ]; then \
			chmod a-x $$file; \
		fi; \
	done
	chmod a-x `pwd`/debian/crm114/usr/share/crm114/mailfilter.cf
	chmod a+x `pwd`/debian/crm114/usr/share/crm114/*.crm
	chmod a-x `pwd`/debian/crm114/usr/share/crm114/maillib.crm
	chmod a-x `pwd`/debian/crm114/usr/share/emacs/site-lisp/*
	dh_installman debian/*.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
