=== debian/changelog ===
crm114 (20100106-9) unstable; urgency=medium

  * Use dh_auto_build to compile the sources; thanks to
    Helmut Grohne <helmut@subdivi.de>; closes: #916275.
  * Standards 4.3.0 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 24 Dec 2018 15:03:33 +0100

crm114 (20100106-8) unstable; urgency=medium

  * Standards 4.1.5 (no real change).
  * Debhelper compatibility version increased to 10.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jul 2018 15:07:19 +0200

crm114 (20100106-7) unstable; urgency=low

  * Brazilian translation added (Adriano Rafael Gomes); closes: #811539.
  * Standards 3.9.6 (no real change).
  * Use dpkg build flags.

 -- Milan Zamazal <pdm@debian.org>  Tue, 19 Jan 2016 20:03:47 +0100

crm114 (20100106-6) unstable; urgency=low

  * Fix FTBFS with clang; thanks to Arthur Marble <arthur@info9.net>;
    closes: #757266.

 -- Milan Zamazal <pdm@debian.org>  Sat, 09 Aug 2014 11:55:53 +0200

crm114 (20100106-5) unstable; urgency=low

  * Function declaration conflicts fixed; closes: #748029.
  * Standards 3.9.5 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 24 May 2014 20:50:32 +0200

crm114 (20100106-4) experimental; urgency=low

  * Fix of DEFAULT_PASSWORD typo in mailfilter.cf (thanks to
    Trent W. Buck); closes: #693946.
  * Upload to experimental because wheezy is frozen.

 -- Milan Zamazal <pdm@debian.org>  Thu, 22 Nov 2012 21:33:47 +0100

crm114 (20100106-3) unstable; urgency=low

  * Dutch debconf translation added (Jeroen Schot); closes: #675149.

 -- Milan Zamazal <pdm@debian.org>  Mon, 04 Jun 2012 20:55:05 +0200

crm114 (20100106-2) unstable; urgency=low

  * Man page formatting a bit improved; closes: #664733.
  * Standards 3.9.3 (no real change).
  * build-arch and build-indep targets added to debian/rules.

 -- Milan Zamazal <pdm@debian.org>  Sat, 31 Mar 2012 18:58:10 +0200

crm114 (20100106-1) unstable; urgency=low

  * New upstream version.
  * Danish translation added (Joe Dalton); closes: #630375.
  * Standards 3.9.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sun, 19 Jun 2011 19:15:25 +0200
