=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: Milan Zamazal <pdm@debian.org>
-Build-Depends: debhelper (>= 7), libtre-dev (>= 0.6.8), po-debconf
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 10), libtre-dev (>= 0.6.8), po-debconf
+Standards-Version: 4.3.0
 Homepage: http://crm114.sourceforge.net
 
 Package: crm114
