=== debian/rules ===
--- 
+++ 
@@ -7,24 +7,20 @@
 
 package=crm114
 
-CFLAGS := -DVERSION='\"\$$(VERSION)\"' -Wall -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS += -DVERSION='\"\$$(VERSION)\"'
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    MAKEFLAGS += -j$(NUMJOBS)
-endif
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) $(MAKEFLAGS) CFLAGS="$(CFLAGS)"
+	dh_auto_build --parallel -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 	touch build-stamp
 
 clean:
